[tox]
envlist =
    coverage-clean
    py{27}-mayan-edms{2.0}
    coverage-report

[testenv]
basepython =
    py27: python2.7
    py32: python3.2
    py33: python3.3
    py34: python3.4

commands =
    coverage run {envdir}/bin/mayan-edms.py test document_analyzer --settings=test_project.settings --nomigrations

deps =
     mayan-edms2.0: mayan-edms>=2.0,<3.0
    -rrequirements/testing.txt

setenv =
    COVERAGE_FILE=.coverage.tox.{envname}
    PYTHONDONTWRITEBYTECODE=1

skipsdist=True
usedevelop=True

[testenv:coverage-clean]
basepython = python2.7
setenv =
    COVERAGE_FILE=.coverage.tox
commands =
    -python {envbindir}/coverage combine
    -python {envbindir}/coverage erase

[testenv:coverage-report]
basepython = python2.7
setenv =
    COVERAGE_FILE=.coverage.tox
commands =
    -python {envbindir}/coverage combine
    -python {envbindir}/coverage html
